MINTPY-SAVE_HDFEOS5(1)

NAME
mintpy-save_hdfeos5 - Convert MintPy timeseries product into HDF-EOS5 format

DESCRIPTION
usage: save_hdfeos5.py [-h] [-t TEMPLATE_FILE] [--tc TCOH_FILE]

[--asc SCOH_FILE] [-m MASK_FILE] [-g GEOM_FILE]
    [--update] [--subset] ts_file

Convert MintPy timeseries product into HDF-EOS5 format

    https://earthdata.nasa.gov/esdis/eso/standards-and-references/hdf-eos5 https://mintpy.readthedocs.io/en/latest/hdfeos5/

  positional arguments:

ts_file
    Timeseries file

  options:

-h, --help
    show this help message and exit

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    Template file for 1) arguments/options and 2) missing metadata

--tc TCOH_FILE, --temp-coh TCOH_FILE
    Coherence/correlation file, i.e. temporalCoherence.h5

--asc SCOH_FILE, --avg-spatial-coh SCOH_FILE
    Average spatial coherence file, i.e. avgSpatialCoh.h5

-m MASK_FILE, --mask MASK_FILE
    Mask file

-g GEOM_FILE, --geometry GEOM_FILE
    geometry file

--update
    Enable update mode, a.k.a. put XXXXXXXX as endDate in filename if endDate < 1 year

--subset
    Enable subset mode, a.k.a. put suffix _N31700_N32100_E130500_E131100

  template options:

mintpy.save.hdfEos5
    = auto #[yes / no], auto for no, save time-series to HDF-EOS5 format

mintpy.save.hdfEos5.update
    = auto #[yes / no], auto for no, put XXXXXXXX as endDate in output filename

mintpy.save.hdfEos5.subset
    = auto #[yes / no], auto for no, put subset range info in output filename

  example:

    save_hdfeos5.py geo/geo_timeseries_ERA5_ramp_demErr.h5 save_hdfeos5.py timeseries_ERA5_ramp_demErr.h5 --tc temporalCoherence.h5 --asc avgSpatialCoh.h5 -m maskTempCoh.h5 -g inputs/geometryGeo.h5